krb5/krb524d.init
Nalin Dahyabhai f072055a76 - some init script cleanups
- drop unquoted check and silent exit for "$NETWORKING" (#426852, #242500)
- krb524: don't barf on missing database if it looks like we're using
    kldap, same as for kadmin
- return non-zero status for missing files which cause startup to fail
2008-01-02 17:03:38 +00:00

79 lines
1.6 KiB
Bash
Executable File

#!/bin/bash
#
# krb524 Start and stop the krb524 service.
#
# chkconfig: - 35 65
# description: Kerberos 5 is a trusted third-party authentication system. \
# This script starts and stops krb524d, which converts \
# Kerberos 5 credentials to Kerberos IV credentials.
# processname: krb524d
# config: /etc/sysconfig/krb524
#
# Get config.
. /etc/sysconfig/network
# Get config.
[ -r /etc/sysconfig/krb524 ] && . /etc/sysconfig/krb524
# Source function library.
. /etc/rc.d/init.d/functions
RETVAL=0
prog="Kerberos 5-to-4 Server"
krb524d=/usr/kerberos/sbin/krb524d
# Shell functions to cut down on unnecessary shell invocations.
start() {
if [ ! -f /var/kerberos/krb5kdc/principal ] ; then
# Make an educated guess -- if they're using kldap somewhere,
# then we don't know for sure that this is an error.
if ! grep -q 'db_library.*=.*kldap' /etc/krb5.conf ; then
echo $"Error. Default principal database does not exist."
exit 6
fi
fi
[ -x $krb524d ] || exit 5
echo -n $"Starting $prog: "
daemon ${krb524d} ${KRB524D_ARGS:--m}
RETVAL=$?
echo
[ $RETVAL = 0 ] && touch /var/lock/subsys/krb524
}
stop() {
echo -n $"Stopping $prog: "
killproc ${krb524d}
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f /var/lock/subsys/krb524
}
# See how we were called.
case "$1" in
start)
start
;;
stop)
stop
;;
restart)
stop
start
;;
status)
status ${krb524d}
;;
condrestart)
if [ -f /var/lock/subsys/krb524 ] ; then
stop
start
fi
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart}"
RETVAL=2
;;
esac
exit $RETVAL